<?php 
require_once "../modelos/Pagocliente.php";

$pagocliente	=	new Pagocliente();

$idpagocliente		=	isset($_POST["idpagocliente"])? limpiarCadena($_POST["idpagocliente"]):"";
$idformapago			=	isset($_POST["idformapago"])? limpiarCadena($_POST["idformapago"]):"";
$idpersona				=	isset($_POST["idpersona"])? limpiarCadena($_POST["idpersona"]):"";
$idtipopagos			=	isset($_POST["idtipopagos"])? limpiarCadena($_POST["idtipopagos"]):"";
$idbancocuenta		=	isset($_POST["idbancocuenta"])? limpiarCadena($_POST["idbancocuenta"]):"";
$referencia				=	isset($_POST["referencia"])? limpiarCadena($_POST["referencia"]):"";
$tasacambioventa	=	isset($_POST["tasacambioventa"])? limpiarCadena($_POST["tasacambioventa"]):"";

//$montopago		=	isset($_POST["montopago"])? limpiarCadena($_POST["montopago"]):"";
$montopago			=	isset($_POST["total_pago"])? limpiarCadena($_POST["total_pago"]):"";
$total_pago			=	isset($_POST["total_pago"])? limpiarCadena($_POST["total_pago"]):"";
$total_pagob		=	isset($_POST["total_pagob"])? limpiarCadena($_POST["total_pagob"]):"";
$diferencia			=	isset($_POST["diferencia"])? limpiarCadena($_POST["diferencia"]):"";
$fecha_hora			=	isset($_POST["fecha_hora"])? limpiarCadena($_POST["fecha_hora"]):"";
$agenteretencion=	isset($_POST["agenteretencion"])? limpiarCadena($_POST["agenteretencion"]):"";
$idusuario			=	isset($_POST["idusuario"])? limpiarCadena($_POST["idusuario"]):"";

/*bade de datos
idpagocliente,  idcliente, idformapago, idusuario, idtipopagos, idbancocuenta, 
referencia, fecha_hora, total_pago, retencion, estado
/* 
iddocumento[] num_comprobante[] tipo_comprobante[] montod[] abono[] pendiente[] estado[] pago[] 
$_POST["iddocumento"], $_POST["num_comprobante"], $_POST["tipo_comprobante"], $_POST["montod"], $_POST["abono"]
$_POST["pendiente"], $_POST["estado"], $_POST["pago"]
*/ 


switch ($_GET["op"]) {
	case 'guardaryeditar':
	if (empty($idpagocliente)) {
		$rspta=$pagocliente->insertar($idpersona,$idformapago,$idusuario,$idtipopagos,$idbancocuenta,$referencia,$fecha_hora,
		$total_pago,$total_pagob,$tasacambioventa,$agenteretencion,		
		$_POST["iddocumento"], $_POST["num_comprobante"], $_POST["tipo_comprobante"], $_POST["montod"],$_POST["montodd"] ,$_POST["abono"],
		$_POST["pendiente"], $_POST["estado"], $_POST["idventa"]);
		echo $rspta ? "Datos registrados correctamente" : "No se pudo registrar los datos";
	}else{
         $rspta=$pagocliente->editar($idpagocliente,$idpersona,$tipo_persona,$nombre,$tipo_documento,$num_documento,$direccion,$telefono,$email);
		echo $rspta ? "Datos actualizados correctamente" : "No se pudo actualizar los datos";
	}
		break;
	

	case 'eliminar':
		$rspta=$persona->eliminar($idpersona);
		echo $rspta ? "Datos eliminados correctamente" : "No se pudo eliminar los datos";
		break;
	
	case 'mostrar':
		$rspta=$persona->mostrar($idpersona);
		echo json_encode($rspta);
		break;

  case 'listarruta':
    require_once "../modelos/Persona.php";
		$persona	=new Persona();
    $rspta    =$persona->listarruta($idusuario);
    $data     =Array();

    while ($reg=$rspta->fetch_object()) {
      $data[]=array(
            "0"=> '<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idpersona.')"><i class="fa fa-cc"></i></button>'
                  .' '.
                  '<button class="btn btn-success btn-xs" onclick="mostrarp('.$reg->idpersona.')"><i class="fa fa-inbox"></i></button>'
                  .' '.
                  '<button class="btn btn-danger btn-xs" onclick="mostrarno('.$reg->idpersona.')"><i class="fa  fa-calendar-check-o"></i></button>',
            "1"=>$reg->nombre,
            "2"=>$reg->tipo_documento,
            "3"=>$reg->num_documento,
            "4"=>$reg->telefono,
            "5"=>$reg->email
              );
    }
    $results=array(
            "sEcho"=>1,//info para datatables
            "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
            "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
            "aaData"=>$data); 
    echo json_encode($results);
  break;  

	case 'listarp':
		$rspta=$persona->listarp();
		$data=Array();

		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
						"0"=>'<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idpersona.')"><i class="fa fa-pencil"></i></button>'.' '.'<button class="btn btn-danger btn-xs" onclick="eliminar('.$reg->idpersona.')"><i class="fa fa-trash"></i></button>',
						"1"=>$reg->nombre,
						"2"=>$reg->tipo_documento,
						"3"=>$reg->num_documento,
						"4"=>$reg->telefono,
						"5"=>$reg->email
							);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($data),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
						"aaData"=>$data); 
		echo json_encode($results);
	break;

	case 'listar':
		$rspta=$persona->listar();
		$data=Array();

		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
            "0"=>'<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idpersona.')"><i class="fa fa-eye"></i></button>',
            "1"=>$reg->nombre,
            "2"=>$reg->num_documento,
            "3"=>$reg->telefono
						);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($data),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
						"aaData"=>$data); 
		echo json_encode($results);
	break;
}
 ?>